%define version 1.4.4
%define release 1

Summary:       stereo LADSPA effects rack for the JACK audio API
Name:          jack-rack
Version:       %{version}
Release:       %{release}
License:       GPL
Group:         Applications/Multimedia
URL:           http://jack-rack.sourceforge.net/
Source0:       %{name}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: ladcca-devel >= 0.4.0
Requires:      jack-audio-connection-kit >= 0.80

BuildRequires: alsa-lib-devel ladspa-devel curl-devel e2fsprogs-devel
BuildRequires: jack-audio-connection-kit-devel ladcca-devel 
BuildRequires: libgnomeui-devel liblrdf-devel openssl-devel

%description
JACK Rack is an effects "rack" for the JACK low latency audio API. 
The rack can be filled with LADSPA effects plugins and can be 
controlled using the ALSA sequencer. It turns your computer into 
an effects box.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#--- create a desktop entry
cat << EOF > startcom-%{name}.desktop
[Desktop Entry]
Name=JACK Rack
Comment=Stereo LADSPA effectrs rack
Exec=%{_bindir}/%{name}
Icon=%{name}-icon.png
Terminal=false
Type=Application
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor startcom \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    startcom-%{name}.desktop
# remove the original desktop entry
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/jack-rack
%{_datadir}/jack-rack
%{_datadir}/pixmaps/jack-rack*
%{_datadir}/locale/*/*/*.mo
%dir %{_datadir}/dtds
%{_datadir}/dtds/jack_rack*.dtd
%{_datadir}/applications/*%{name}.desktop


%changelog
* Mon Apr 10 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Update to 1.4.4

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x
